apiVersion: v1
kind: Pod
metadata:
  name: volume-test
  labels:
    app: volume-test
spec:
  volumes:
    - name: claim-volume
      persistentVolumeClaim:
        claimName: ceph-claim 
  containers:
    - name: busybox1
      image: busybox
      command: [ "/bin/sh", "-c", "--" ]
      args: ["trap : TERM INT; (while true; do sleep 1000; done) & wait"]
      volumeMounts:
        - mountPath: "/data/shared-volume"
          name: claim-volume
